#!/bin/sh

###################################################
# Copyright 2015 VMware, Inc.  All rights reserved.
###################################################


logDir=`ls /tmp/ | grep vmware-`
logFile="vmware-MKSVchanServer vmware-vdpService-Server vmware-vvcProxy-Node vmware-mks vmware-apploader vmware-CDRServer vmware-UsbRedirPlugin vmware-UsbRedirServer vmware-RTAV"
OPT="c:"

# Parse option
while getopts $OPT o
do
   case "$o" in
   c)
      logCnt="$OPTARG";;
   *)
      exit;;
   esac
done

# Cleanup log
if [ ${logCnt} -eq -1 ]; then
   echo "Keep all logs"
   exit
elif [ ${logCnt} -eq 0 ]; then
   echo "Remove all logs"

   for dir in $logDir; do
      for file in ${logFile}; do
         rm -rf /tmp/${dir}/$file*
      done
   done
elif [ ${logCnt} -gt 0 ]; then
   echo "Reserve ${logCnt} logs"
else
   echo "Invalid log count: ${logCnt}"
   exit
fi

for dir in $logDir; do
   echo "Clean directory ${dir}"
   for file in ${logFile}; do

      logCount=`ls /tmp/${dir}/$file* 2>/dev/null | wc -l`

      if [ ${logCount} -gt ${logCnt} ]; then
         count=`expr ${logCount} - ${logCnt}`
         echo "Remove ${count} ${file} log(s)"
         for f in `ls -t /tmp/${dir}/${file}-* | tail -n ${count}`; do
            rm -rf ${f}
         done
      fi
   done
done
