#!/bin/sh

###################################################
# Copyright 2015 VMware, Inc.  All rights reserved.
###################################################


if [ "`id -u`" != "0" ]; then
   #
   # Requires permission to access the XAUTHORITY file.
   #
   echo "ControlDesktop.sh must be executed as superuser"
   exit 1
fi

#
# Main
#

#
# Include common constants
#
. "`dirname $0`/commonlib.sh"
identify_distribution
define_constants

while getopts a:e:u: o
do
   case $o in
   a)
      action="$OPTARG";;
   e)
      env="$OPTARG";;
   u)
      user="$OPTARG";;
   esac
done

if [ -z "$action" ]; then
   echo "Please input the action for ControlDesktop.sh"
   exit 17
fi

if [ -n "$env" ]; then
   export $env
else
   while read -r line
   do
      var=`echo ${line} |cut -d= -f1`
      if check_environment_whitelisted $var; then
         export "$line"
      else
         continue
      fi
   done < "/var/vmware/view.$user/envInfo"

   if [ -z "$USERNAME" ]; then
      export "USERNAME=$USER"
   fi
fi

case $action in
lock)
   configure_session_lock lock $user
   ;;
unlock)
   configure_session_lock unlock $user
   ;;
esac

exit 0
