#!/bin/bash

###################################################
# Copyright 2017 - 2018 VMware, Inc.  All rights reserved.
###################################################

ngaFork=`vmware-rpctool "info-get guestinfo.ngaFork"`
if [ "$?" != "0" ]; then
      echo "Command get guestinfo.ngaFork failed or guestinfo.ngaFork do not exist..."
      return 0
fi

forked=`vmware-rpctool "info-get guestinfo.forked"`
if [ "$?" != "0" ]; then
   echo "Command get guestinfo.forked failed or guestinfo.forked do not exist..."
   return 0
fi

if [ "$ngaFork" = "1" -a "$forked" = "1" ]; then
   which pbis > /dev/null 2>&1
   if [ "$?" = "0" ]; then
      echo "Begin to restart lwsmd"
      while true
      do
         service lwsmd restart
         sleep 3
         pbis status > /dev/null 2>&1
         if [ "$?" = "0" ]; then
            break
         fi
      done
      echo "End to restart lwsmd"

      fqdn=`vmware-rpctool "info-get guestinfo.primed.fqdn"`
      if [ "$?" = "0" ]; then
         typeset -u upFqdn
         if [ "$?" = "0" ]; then
            upFqdn="$fqdn"
         else
            upFqdn=$(echo -n "$fqdn" | tr 'a-z' 'A-Z')
         fi
         krb5Cache="/var/lib/pbis/krb5cc_lsass.$upFqdn"
         if [ -f $krb5Cache ]; then
            if [ ! -f /tmp/krb5cc_0 ]; then
               ln -d $krb5Cache /tmp/krb5cc_0
            fi
            export KRB5CCNAME=$krb5Cache
         fi
      fi

      DNS_TOOL=/opt/pbis/bin/update-dns
      if [ -f $DNS_TOOL ]; then
         $DNS_TOOL --nocreds
         if [ "$?" != "0" ]; then
            hostName=`vmware-rpctool "info-get guestinfo.hostName"`
            $DNS_TOOL --nocreds --fqdn $hostName.$fqdn
            if [ "$?" != "0" ]; then
               echo "Failed to update DNS"
            fi
         fi
      fi
   fi
fi
