#!/bin/sh

###################################################
# Copyright 2014 VMware, Inc.  All rights reserved.
###################################################


#
# Main
#

#
# Enable core dumps
#
ulimit -c unlimited

while getopts t:m:u: o
do
   case $o in
   t)
      type="`echo $OPTARG | tr [:upper:] [:lower:]`";;
   m)
      msg="$OPTARG";;
   u)
      user="$OPTARG";;
   esac
done

#
# Include common constants
#
. "`dirname $0`/commonlib.sh"

define_constants
extract_X_args

#
# If LANG is null, or POSIX on SLED, find LANG in envInfo
#
if [ -z "$LANG" -o "$LANG" = "POSIX" ] && [ -n "$user" ]; then
   echo "Enviroment variable LANG not exist, export it"
   lang="`grep "^LANG=" "$VIEWAGENT_TMP_ROOT/view.$user/envInfo"`"
   if [ -n "$lang" ]; then
      echo "Enviroment variable LANG is $lang"
      export "$lang"
   fi
fi

#
# If LC_ALL eaquals to "POSIX", use same value as LANG instead
#
if [ "$LC_ALL" = "POSIX" ]; then
   if [ -n "$LANG" ]; then
      export "LC_ALL=$LANG"
   fi
fi

case "$type" in
info)
   ;;
warning)
   ;;
error)
   ;;
esac

zenity --$type --text="$msg" --title="$BROKER_MESSAGEBOX_TITLE"

ret=$?
echo $ret

exit $ret
