#!/bin/sh

###################################################
# Copyright 2016 VMware, Inc.  All rights reserved.
###################################################


if [ "`id -u`" != "0" ]; then
   #
   # Requires root permission to run MonitorLoginUser.sh.
   #
   echo "MonitorLoginUser.sh must be executed as superuser"
   exit 1
fi

#
#Main
#

VIEWAGENT_PATH="/var/vmware/viewagent"
MACHINE_ID_FILE_PATH=$VIEWAGENT_PATH/machineId
RPCTOOL_PATH=`which vmware-rpctool`
touch $MACHINE_ID_FILE_PATH

# wait file monitor initialization
sleep 3s

while :
do
   if [ ! -x $VIEWAGENT_PATH ]; then
      sleep 20s
   else
      break
   fi
done

while :
do

   machineid=`$RPCTOOL_PATH "machine.id.get"`
   if [ "$?" = "0" ]; then
      echo "$machineid" > $MACHINE_ID_FILE_PATH
   fi

   sleep 120s
done
