#!/bin/sh

###################################################
# Copyright 2015 - 2016 VMware, Inc.  All rights reserved.
###################################################

# Default Java binary

start() {
    exec=/usr/lib/jvm/java-8-openjdk/jre/bin/java
    parameters=

    sh /usr/lib/vmware/viewagent/bin/CleanupTempFiles.sh
    sh /usr/lib/vmware/viewagent/bin/XorgConfigure.sh
    /bin/bash /usr/lib/vmware/viewagent/bin/ngvc-agent.sh
    cd /usr/lib/vmware/viewagent || exit

    if [ -f "/usr/lib/vmware/viewagent/java.security.txt" ]; then
       parameters="-Djava.security.properties=/usr/lib/vmware/viewagent/java.security.txt"
    fi

    exec ${exec} -Dfile.encoding=UTF-8 -showversion -Xmx512m -XX:+UseConcMarkSweepGC \
       ${BLAST_START_ATTEMPTS+-Dagent.blast.start.attempts=$BLAST_START_ATTEMPTS}  ${parameters} \
       -cp "*:" com.vmware.vdi.agent.standalone.StandaloneAgent \
       -c /etc/vmware/viewagent-config.txt

    echo "agent service starting.." >> /var/log/vmware/viewagent-debug.log
    echo "network information" >> /var/log/vmware/viewagent-debug.log
    echo "$(ifconfig)" >> /var/log/vmware/viewagent-debug.log
    echo >> /var/log/vmware/viewagent-debug.log
}

stop() {
    echo "Stopping viewagent" >> /var/log/vmware/viewagent-debug.log

    blastpid=`pidof VMwareBlastServer`
    [ "$?" -eq "0" ] && hasBlast=1

    [ "$hasBlast" = "1" ] && [ -f /var/vmware/viewagent/logEvent ] && [ -s /var/vmware/viewagent/logEvent ] && \
        UserName=`cat /var/vmware/viewagent/logEvent |awk '{print $2}'` && \
        /usr/lib/vmware/viewagent/bin/StopSession.sh -m logout -t broker -u $UserName

    while [ -n "`ps -ef | grep -i "LogoutSession.sh" | grep -v "grep" | awk '{print $2}'`" ]
    do
        sleep 1
    done

    echo "agent service stopping.." >> /var/log/vmware/viewagent-debug.log
    echo >> /var/log/vmware/viewagent-debug.log
}

case "$1" in
    start)
        $1
        ;;
    stop)
        $1
        ;;
    *)
        echo $"Usage: $0 {start|stop}" >> /var/log/vmware/viewagent-debug.log
        exit 2
esac
