#!/bin/sh

###################################################
# Copyright 2015 VMware, Inc.  All rights reserved.
###################################################

trySleep=1.5

startClipboardServer() {
   echo "Invoke the mksvchanserver"

   $CLIPBOARD_SERVER -c "/etc/vmware/config" &
   ret=$?
   mksvchanserverPID=$!
}

echo "StartClipboard.sh pid is: $$"

if [ "`id -u`" != "0" ]; then
   #
   # Requires permission to access the XAUTHORITY file.
   #
   echo "StartClipboard.sh must be executed as superuser"
   exit 1
fi

#
# Prevent from the clipboard server launched duplicately
#
clipboardServerID="$(pidof mksvchanserver)"
if [ -n "$clipboardServerID" ]; then
   echo "Kill the running mksvchanserver: $clipboardServerID"
   kill -TERM $clipboardServerID
fi

#
# Include common constants
#
. "`dirname $0`/commonlib.sh"
define_constants

if [ ! -f "$CLIPBOARD_SERVER" ]; then
   echo "The clipboard is not supported"
   exit 0
fi

while :
do
   if [ -f "/tmp/vvcProxy/vvcProxyHubInited" ]; then
      break
   else
      sleep 0.5
   fi
done

extract_X_args
startClipboardServer

echo "The mksvchanserver pid is: $mksvchanserverPID"

exit $ret
