#!/bin/sh

###################################################
# Copyright 2016 VMware, Inc.  All rights reserved.
###################################################


if [ "`id -u`" != "0" ]; then
   echo "StopCDRServer.sh must be executed as superuser"
   exit 1
fi

#
# Main
#

#
# Include common constants
#
. "`dirname $0`/commonlib.sh"
define_constants

# Improve the robustness.
startCDRServerID="$(pidof -x StartCDRServer.sh)"
if [ -n "$startCDRServerID" ]; then
   echo "Kill the running StartCDRServer.sh: $startCDRServerID"
   kill -TERM $startCDRServerID
   # Ensure the StartCDRServer.sh exited.
   sleep 0.5
fi

cdrServerID="$(pidof cdrserver)"
if [ -n "$cdrServerID" ]; then
   echo "Kill the running cdrserver: $cdrServerID"
   kill -TERM $cdrServerID
   # Ensure the cdrserver exited.
   sleep 0.5
fi

if [ -S "/tmp/vvcProxy/vvcProxySocket" ]; then
   rm -f /tmp/vvcProxy/vvcProxySocket
fi

if [ -f "/tmp/vvcProxy/vvcProxyHubInited" ]; then
   rm -f /tmp/vvcProxy/vvcProxyHubInited
fi

#
# If there is still directory umount for fuse.cdrserver, we umount them manually
#

for mount_path in `mount | grep fuse.cdrserver | awk '{print $3}'`; do
   echo "umount $mount_path"
   fusermount -u -z $mount_path
done
