#!/bin/sh

###################################################
# Copyright 2015 VMware, Inc.  All rights reserved.
###################################################


if [ "`id -u`" != "0" ]; then
   echo "StopClipboard.sh must be executed as superuser"
   exit 1
fi

#
# Main
#

#
# Include common constants
#
. "`dirname $0`/commonlib.sh"
define_constants

# Improve the robustness. Release the clipboard resource.
startClipboardID="$(pidof -x StartClipboard.sh)"
if [ -n "$startClipboardID" ]; then
   echo "Kill the running StartClipboard.sh: $startClipboardID"
   kill -TERM $startClipboardID
   # Ensure the StartClipboard.sh exited.
   sleep 0.5
fi

clipboardServerID="$(pidof mksvchanserver)"
if [ -n "$clipboardServerID" ]; then
   echo "Kill the running mksvchanserver: $clipboardServerID"
   kill -TERM $clipboardServerID
   # Ensure the mksvchanserver exited.
   sleep 0.5
fi

if [ -S "/tmp/vvcProxy/vvcProxySocket" ]; then
   rm -f /tmp/vvcProxy/vvcProxySocket
fi

if [ -f "/tmp/vvcProxy/vvcProxyHubInited" ]; then
   rm -f /tmp/vvcProxy/vvcProxyHubInited
fi
